TriD::ButtonControl(3)

NAME
PDL::Graphics::TriD::ButtonControl - default event handler subroutines

FUNCTIONS

  new()
Bless an oject into the class ButtonControl, expects the associated Window object to be supplied as an argument.

The ButtonControl class is a base class which all TriD event controllers should inherit from. By itself it does not do much. It defines ButtonPressed and ButtonRelease functions which are expected by the Event loop.

  mouse_moved

  ButtonRelease

  ButtonPressed
  Activates the viewport the mouse is inside when pressed

  set_wh
  Define the width and Height of the window for button control